summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2018-12-31 01:08:27 -0800
committerZac Medico <zmedico@gentoo.org>2018-12-31 01:08:42 -0800
commite0d7fc6a25fcbe8dfc7853e3e878bd42148422dc (patch)
treef3196c081e02e6d056210f14d8f7bfc389c3fb22 /dev-util
parentapp-shells/zsh: Security cleanup (diff)
downloadgentoo-e0d7fc6a25fcbe8dfc7853e3e878bd42148422dc.tar.gz
gentoo-e0d7fc6a25fcbe8dfc7853e3e878bd42148422dc.tar.bz2
gentoo-e0d7fc6a25fcbe8dfc7853e3e878bd42148422dc.zip
dev-util/android-tools: fix 9.9.0_p3 CC bug 674162
Reported-by: Toralf Förster <toralf@gentoo.org> Closes: https://bugs.gentoo.org/674162 Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/android-tools/android-tools-9.0.0_p3.ebuild20
1 files changed, 10 insertions, 10 deletions
diff --git a/dev-util/android-tools/android-tools-9.0.0_p3.ebuild b/dev-util/android-tools/android-tools-9.0.0_p3.ebuild
index 6399a1eb13c..5a8c4c5ac0c 100644
--- a/dev-util/android-tools/android-tools-9.0.0_p3.ebuild
+++ b/dev-util/android-tools/android-tools-9.0.0_p3.ebuild
@@ -95,6 +95,16 @@ src_prepare() {
cd "${S}" || die
default
+ sed -E \
+ -e "s|^(CC =).*|\\1 $(tc-getCC)|g" \
+ -e "s|^(CXX =).*|\\1 $(tc-getCXX)|g" \
+ -e "s|^(CFLAGS =).*|\\1 ${CFLAGS}|g" \
+ -e "s|^(CPPFLAGS =).*|\\1 ${CPPFLAGS}|g" \
+ -e "s|^(CXXFLAGS =).*|\\1 ${CXXFLAGS}|g" \
+ -e "s|^(LDFLAGS =).*|\\1 ${LDFLAGS}|g" \
+ -e "s|^(PKGVER =).*|\\1 ${MY_PV}|g" \
+ -i build.ninja || die
+
# The pregenerated ninja file expects the build/ dir.
BUILD_DIR="${CMAKE_USE_DIR}/build"
cmake-utils_src_prepare
@@ -104,16 +114,6 @@ src_configure() {
append-lfs-flags
cmake-utils_src_configure
-
- sed -i \
- -e "s:@CC@:$(tc-getCC):g" \
- -e "s:@CXX@:$(tc-getCXX):g" \
- -e "s:@CFLAGS@:${CFLAGS}:g" \
- -e "s:@CPPFLAGS@:${CPPFLAGS}:g" \
- -e "s:@CXXFLAGS@:${CXXFLAGS}:g" \
- -e "s:@LDFLAGS@:${LDFLAGS}:g" \
- -e "s:@PV@:${PV}:g" \
- build.ninja || die
}
src_compile() {